Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010261 [DCSS] Bug Report minor unable to reproduce 2016-01-29 21:23 2016-01-30 16:13
Reporter Jarlyk View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.18 ancient branch
Summary 0010261: Issue with Iron Giant throwing eldritch tentacle?
Description I was fighting in Dis against some giants and had casted Malign Gateway. An iron giant walked over to my tentacle and apparently tried to throw it at me. This resulted in a very strange message in the log. Forgot to note it down at the time, but thought it might be a bug.

Dug up the ttyrec and I can see this log of it:

_The iron giant throws your eldritch tentacle!
 Tentacle connect failed! What the heck! severed status 0
 Pathed to 16 23 from 16 23 mid 18147 count 1

My guess is that it was somehow trying to reconcile the path of the tentacle with other obstacles and the throwing created an inconsistent state that it couldn't resolve. If I recall correctly, this also made the tentacle disappear.

The ttyrec is available here:
http://crawl.akrasiac.org/rawdata/Jarlyk2/2016-01-23.16:39:13.ttyrec.bz2 [^]

Final morgue here:
http://crawl.akrasiac.org/rawdata/Jarlyk2/morgue-Jarlyk2-20160123-225149.txt [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0030178)
MarvinPA (developer)
2016-01-30 16:13

Fixed, thanks for reporting.

- Issue History
Date Modified Username Field Change
2016-01-29 21:23 Jarlyk New Issue
2016-01-30 16:13 MarvinPA Note Added: 0030178
2016-01-30 16:13 MarvinPA Status new => resolved
2016-01-30 16:13 MarvinPA Fixed in Branch => 0.18 development branch
2016-01-30 16:13 MarvinPA Resolution open => done
2016-01-30 16:13 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker